# studio::Widget_Gradient Class Reference

`#include <widget_gradient.h>`

List of all members.

## Public Member Functions

| Widget_Gradient ()
| ~Widget_Gradient ()
sigc::signal< void > & | signal_value_changed ()
sigc::signal< void > & | signal_clicked ()
sigc::signal< void, synfig::Gradient::CPoint > & | signal_cpoint_selected ()
void | set_value (const synfig::Gradient &x)
const synfig::Gradient & | get_value () const
void | set_editable (bool x=true)
bool | get_editable () const
void | set_selected_cpoint (const synfig::Gradient::CPoint &x)
const synfig::Gradient::CPoint & | get_selected_cpoint ()
void | update_cpoint (const synfig::Gradient::CPoint &x)
bool | redraw (GdkEventExpose *bleh=NULL)
bool | on_event (GdkEvent *event)

## Constructor & Destructor Documentation

Widget_Gradient::Widget_Gradient | ( |  | ) |

References redraw().

Widget_Gradient::~Widget_Gradient | ( |  | ) |

## Member Function Documentation

sigc::signal<void>& studio::Widget_Gradient::signal_value_changed | ( |  | ) | `[inline]`

Referenced by studio::Dialog_Gradient::Dialog_Gradient().

sigc::signal<void>& studio::Widget_Gradient::signal_clicked | ( |  | ) | `[inline]`

Referenced by studio::Widget_Defaults::Widget_Defaults().

sigc::signal<void,synfig::Gradient::CPoint>& studio::Widget_Gradient::signal_cpoint_selected | ( |  | ) | `[inline]`

Referenced by studio::Dialog_Gradient::Dialog_Gradient().

void Widget_Gradient::set_value | ( | const synfig::Gradient & | x | ) |

References set_selected_cpoint().

Referenced by studio::Dialog_Gradient::set_gradient().

const synfig::Gradient& studio::Widget_Gradient::get_value | ( |  | ) | const`[inline]`

Referenced by studio::Dialog_Gradient::get_gradient().

void studio::Widget_Gradient::set_editable | ( | bool | x = `true` | ) | `[inline]`

Referenced by studio::Dialog_Gradient::Dialog_Gradient().

bool studio::Widget_Gradient::get_editable | ( |  | ) | const`[inline]`

void Widget_Gradient::set_selected_cpoint | ( | const synfig::Gradient::CPoint & | x | ) |

Referenced by on_event(), and set_value().

const synfig::Gradient::CPoint& studio::Widget_Gradient::get_selected_cpoint | ( |  | ) | `[inline]`

void Widget_Gradient::update_cpoint | ( | const synfig::Gradient::CPoint & | x | ) |

bool Widget_Gradient::redraw | ( | GdkEventExpose * | bleh = `NULL` | ) |

References CONTROL_HEIGHT, synfigapp::Action::create(), and studio::render_gradient_to_window().

Referenced by Widget_Gradient().

bool Widget_Gradient::on_event | ( | GdkEvent * | event | ) |

Use SHIFT to stack two CPoints together.

References CONTROL_HEIGHT, and set_selected_cpoint().

The documentation for this class was generated from the following files:

- widget_gradient.h
- widget_gradient.cpp